#!/usr/bin/python
import wiringpi2 as wpi
wpi.wiringPiSetupGpio()

LEDs=[18,23,24,25]
# LED Pins als Array fuer
# gruen, rot, blau, gelb
for led_pin in LEDs:
    wpi.pinMode(led_pin,1)
    wpi.digitalWrite(led_pin,0)
# Setup: Alle Pins mit LEDs
# als Ausgabe setzen und ausschalten
wpi.pinMode(27,0)
wpi.pinMode(22,0)
# Setup: Schalter South,
# Schalter West als Eingabe setzen
southState=wpi.digitalRead(27)
westState=wpi.digitalRead(22)
# Setup: Initialer Status
# von South und West einlesen

zahl=0
# Zaehlvariable
ledMode=[0,0,0,0]
# Zwischenspeicher fuer die
# Ergebnisse der Umrechnung

def showLED():
    ledMode[0] = zahl & 0b0001
    ledMode[1] = zahl & 0b0010
    ledMode[2] = zahl & 0b0100
    ledMode[3] = zahl & 0b1000
    # jeweils aus der binaeren Verundung der
    # Zahl und der Wertigkeit der LED
    # den Status fuer die LED errechnen
    # und speichern
    for i in range(0,4):
        wpi.digitalWrite(LEDs[i],ledMode[i])
        # alle LEDs auf den aktuellen Status setzen
    print("Dezimal %d, Binaer %s, Hexadezimal %s" % (zahl, bin(zahl), hex(zahl)))
    # die aktuelle Zahl als Dezimal,
    # Binaer und Hexadezminal Notation
    # ausgeben

showLED()
while True:
    southValue=wpi.digitalRead(27)
    # aktueller Status des
    # Schalters einlesen
    if (southValue!=southState):
    # besteht ein Unterschied
    # zum gespeicherten Status
        if (southValue):
        # Ist der +1 Schalter gedrueckt?
            zahl=zahl+1
            # Zahl erhoehen
            if zahl>15:
                zahl=0
                # Zahl ruecksetzen falls zu hoch
            showLED()
            # Anzeigen
    southState=southValue
    # neuen Wert des Schalters speichern
    westValue=wpi.digitalRead(22)
    if (westValue!=westState):
        if (westValue):
        # Ist der Reset Schalter gedrueckt?
            zahl=0
            # Zahl ruecksetzen
            showLED()
            # Anzeigen
    westState=westValue
