#!/usr/bin/python
import wiringpi2 as wpi

lm75b_addr=0x48

lm75b_file = wpi.wiringPiI2CSetup(lm75b_addr)
# Verbindung zu LM75B oeffnen
if lm75b_file < 0:
  print("Kann den I2C Bus nicht oeffnen!")
else:
  lm75_temp = wpi.wiringPiI2CReadReg16(lm75b_file, 0)
  # Register 0 von LM75B in 16 Bit Tiefe auslesen
  lm75b_hi = (lm75_temp & 0xFF)
  lm75b_lo = (lm75_temp >> 8)
  # In 2x 8 Bit Werte (High und Low Bit) umwandeln 
  n = lm75b_hi << 3 | ((lm75b_lo >> 5) & 0x07)
  # gemaess Datasheet des Sensors aus den ausgelesenen
  # 2 Bytes die korreten 11 Bits fuer den Temperaturwert    
  # extrahieren und shiften
  lm75b_temp = n / 8.0		
  # 11 Bit Wert in Temperatur umwandeln
  print("LM75B: %4.2f Grad Celsius" % (lm75b_temp))
  # Temperatur mit 2 Nachkommastellen ausgeben	
 