#!/usr/bin/python
import wiringpi2 as wpi
from time import sleep
wpi.wiringPiSetupGpio()

LEDs=[24,25,18,23]
# LED Pins als Array fuer
# blau, gelb, gruen, rot
for led_pin in LEDs:
    wpi.pinMode(led_pin,1)
    wpi.digitalWrite(led_pin,0)
# Setup: Alle Pins mit LEDs
# als Ausgabe setzen und ausschalten
wpi.pinMode(27,0)
# Setup: Schalter South
# als Eingabe setzen

def blinkLED(ledPin, wieoftBlinken, verzoegerung):
    for i in range(1,((wieoftBlinken*2)+1)):
        wpi.digitalWrite(LEDs[ledPin],(i%2))
        sleep(verzoegerung)
# Modul blinkLED nimmt die aktuelle LED entgegen
# und laesst diese mit gegebener Verzoegerung
# eine gewisse Anzahl blinken

aktuelleLED=0
# Gibt aktuelle LED as Position im Array an
aktuelleVerzoegerung=0.50
# Gibt die aktuelle Verzoegerung zwischen
# den LED wechseln an
aktuelleRunde=1
# Gibt die aktuelle Runde an

while True:
    if (wpi.digitalRead(27)):
    # falls der Schalter gedrueckt wurde
        blinkLED(aktuelleLED, 2, 0.5)
        # lass die mit dem Schalter gewaehelte
        # LED zwei mal blinken
        if (aktuelleLED==2):
            if (aktuelleVerzoegerung > 0.05):
                aktuelleVerzoegerung=aktuelleVerzoegerung-0.05
                # reduziere die Verzoegerung fuer die
                # nacheste Runde, falls moeglich
            aktuelleLED=0
            # setze LED wieder auf Anfang vom Array zurueck
            print("Runde %d bestanden" % aktuelleRunde)
            # Erfolg
            aktuelleRunde=aktuelleRunde+1
            # naechste Runde
        else:
            print("Leider verloren in Runde %d!" % aktuelleRunde)
            # Niederlage, weil falsch/zu spaet gedrueckt
            break
            # Verlasse Schleife und beende Programm
    blinkLED(aktuelleLED, 1, aktuelleVerzoegerung)
    # die jeweils aktuelle LED einmal blinken lassen
    aktuelleLED=aktuelleLED+1
    # und zur naechsten iterieren
    if (aktuelleLED > 3):
        print("Leider verloren in Runde %d!" % aktuelleRunde)
        # Niederlage, weil gar nicht gedrueckt
        break
        # Verlasse Schleife und beende Programm
