#!/usr/bin/python
import curses
from time import sleep
import wiringpi2 as wpi

mcp3002_channel=0

if (wpi.wiringPiSPISetup(0, 1000000) < 0):
# Verbindung zu MCP3002 oeffnen
  print("Kann den SPI Bus nicht oeffnen!")
else:
  wpi.mcp3002Setup(64,mcp3002_channel)
  # MCP3002 Template laden, Kanal 0 auf virtuellen Port 64 legen   
  ldr_max=float(wpi.analogRead(64))
  # Virtuellen Port 64 auslesen, als maximal Wert
  screen = curses.initscr()
  # curses in der Konsole initialisieren
  dims = screen.getmaxyx()
  # y,x Groesse des Bildschirms in Array ablegen
  # dims[0] entspricht y Wert
  # dims[1] entspricht x Wert
  screen.nodelay(1)
  # nodelay Modus aktivieren um screen.getch()
  # im non-Blocking Modus zu betreiben
  
  while (screen.getch()==-1):
  # fuehre die Schleife aus solange keine
  # Taste gedrueckt wurde
    ldr=wpi.analogRead(64)
    # aktuellen Wert einlesen
    wert = int((ldr/ldr_max)*dims[0])
    # LDR Wert auf Dimensionen des Bildschirms skalieren
    if wert >= dims[0]:
    # Sollte der Wert die y Dimension ueberschreiten
      wert = (dims[0]-1)
      # dann einfach fuer diese Messung 
      # y-Dimension - 1 als Wert nehmen
    wert = dims[0] - wert
    # Gegenwert berechnen, da bei curses die linke, obere
    # Bildschirm Ecke die x,y Koordinaten 0,0 hat
    screen.erase()
  	# Bildschirm loeschen
    screen.hline(wert, 0, '-', dims[1])
  	# horinzontale Linie aus - Zeichen malen,
    # welche so breit wie die maximale x Dimension (dims[1])
    # ist und beim x Wert 0 beginnt
  	# hline(y Koordinate, x Beginn, ch Zeichen, n Laenge)
    screen.refresh()
  	# Bildschirm neu laden
    sleep(0.1)
  curses.endwin()
  # Beenden
